import sys

import common

def argparser():
    ap = common.argparser(convert_options=True)
    ap.add_argument('-F', '--features', default=False, action='store_true',
                    help='perform feature generation')
    return ap

def main(argv=None):
    global options

    if argv is None:
        argv = sys.argv
    options = argparser().parse_args(argv[1:])

    processors = []

    processors.extend(common.input_processors(options))

    if options.features:
        processors.extend(common.tagging_processors(options))

    processors.extend(common.output_processors(options))
    processors.append(common.DocumentWriter.from_CLI_options(options))

    common.process_documents(common.select_documents(options.files), 
                             processors)

    return 0
