from docproc import Processor
from truecase import truecase, read_tc_data

class Truecaser(Processor):
    def start(self):
        Processor.start(self)
        read_tc_data()

    def _process(self, document):
        for sentence in document.sentences:
            sentence.orig_case_text = sentence.text
            sentence.text = truecase(sentence.text)
            assert sentence.text.lower() == sentence.orig_case_text.lower(), \
                'truecase() error: \n"%s"\n"%s"' % \
                (sentence.text.lower(), sentence.orig_case_text.lower())
            for token in sentence.tokens:
                tstart = token.start-sentence.base_offset
                tend = token.end-sentence.base_offset                
                token.text = sentence.text[tstart:tend]
            assert sentence.is_valid()
