#!/bin/bash

# Set up AnatomyTagger resources for tagging.

set -u
set -e

declare -A NORMALIZATION=(
    ["Brown-bio-c100"]="none"
    ["Brown-bio-c320"]="none"
    ["Brown-bio-c1000"]="none"
    ["Brown-bio-c3200"]="none"
    ["UMLS"]="none"
    ["OBO"]="none"
    )

DICT_COMPILER="nersuite_dic_compiler"

DICTDIR=data/dict
DBDIR=db

mkdir -p $DBDIR

echo "Compiling dictionaries from $DICTDIR to $DBDIR" >&2

for d in $DICTDIR/*.dict; do
    n=`basename $d .dict`
    normopt=""
    # loop because set -u prevents direct check
    for k in "${!NORMALIZATION[@]}"; do
	if [[ "$n" == "$k" ]]; then
	    normopt="-n ${NORMALIZATION[$k]}"
	    break
	fi
    done
    if [ ! "$normopt" ]; then
	echo "Warning: normalization options not specified for $d" >&2
    fi
    echo -n "$d"  >&2
    $DICT_COMPILER $normopt $d $DBDIR/`basename $d .dict`.db
done
