#!/bin/bash

set -u
set -e

USAGESTR="Usage: $0 TRAINDATA OUTDIR"

if [ $# -lt 2 -o $# -gt 2 ]; then
    echo $USAGESTR
    exit 1
fi

TRAINDATA=$1
OUTDIR=$2

mkdir -p $OUTDIR

# determine types in training data
TYPES=`cut -f 2 $TRAINDATA | egrep '^B-' | perl -pe 's/^B-//' | sort | uniq | tr '\n' ' '`
echo "Converting data for $TYPES" >&2

for TYPE in $TYPES; do
    echo; echo "Converting data for $TYPE"
    ./gimli.sh convert JNLPBA -c $TRAINDATA -e $TYPE -g $OUTDIR/gdep.gz \
	-o $OUTDIR/corpus_$TYPE.gz
done
