#!/bin/bash

# Convert files in NERsuite format to gimli input format (JNLPBA variant).

set -u
set -e

USAGESTR="Usage: $0 FILE [FILE [...]]"

if [ $# -lt 1 ]; then
    echo $USAGESTR
    exit 1
fi

for f in $@; do
    l=`basename $f .nersuite`
    l=`echo $l | perl -pe 's/^(PMID-?|PMC-?)//'`
    echo "###MEDLINE:$l"
    echo
    perl -pe 's/^(\S+)\t\S+\t\S+\t(\S+)/$2\t$1/' $f
done
