#!/usr/bin/env python

# Special-purpose script for splitting files in the the JNLPBA variant
# of the CoNLL column format into single files per document based on
# document IDs contained in the files.

import sys
import re

SUFFIX='.iob2'
FILENAME_RE = re.compile(r'^###(.*?)\s*$')

def split_iob2(f):
    out = None
    for l in f:
        m = FILENAME_RE.match(l)
        if m:
            if out:
                out.close()
            out = open(m.group(1)+SUFFIX, 'wt')
        out.write(l)
    if out:
        out.close()

def main(argv):
    if len(argv) != 2:
        print >> sys.stderr, 'Usage: splitiob2.py FILE'
        return 1

    with open(argv[1], 'rU') as f:
        split_iob2(f)

    return 0

if __name__ == '__main__':
    sys.exit(main(sys.argv))
