#!/bin/bash

# Get best parameter values from "eval" output in given file.

# exit on reference to unset variable or error
set -u
set -e

# output field to use for ranking; determines matching criterion:
# 4: exact match F-score
# 5: left boundary match F-score
# 6: right boundary match F-score
# 7: overlap match F-score
RESULT_FIELD=6

USAGESTR="Usage: $0 FILE"

if [ $# -lt 1 -o $# -gt 1 ]; then
    echo $USAGESTR
    exit 1
fi

FILE=$1

cut -f 1,2,3,$RESULT_FIELD $FILE | \
    egrep TOTAL | \
    cut -f 1,2,4 | \
    perl -pe 's/(.* (\S+)\%)/$2\t$1/' | \
    sort -rn | \
    perl -pe 's/^\S+\t//' | \
    head -n 1